# This file is part of Pazpar2.
check_SCRIPTS = test_http.sh test_icu.sh test_post.sh \
test_settings.sh test_turbomarcxml.sh test_facets.sh \
- test_solr.sh test_url.sh
+ test_solr.sh test_url.sh test_filter.sh
EXTRA_DIST = run_pazpar2.sh marc21_test.xsl tmarc.xsl solr-pz2.xsl \
z3950_indexdata_com_marc.xml \
test_solr.cfg test_solr.urls \
test_turbomarcxml.cfg test_turbomarcxml.urls \
test_url.cfg test_url.urls \
+ test_filter.cfg test_filter.urls \
$(check_SCRIPTS)
TESTS = $(check_SCRIPTS)
--- /dev/null
+<?xml version="1.0" encoding="UTF-8"?>
+<pazpar2 xmlns="http://www.indexdata.com/pazpar2/1.0">
+ <!-- Used by test_filter.sh -->
+ <server>
+ <listen port="9763"/>
+ <service>
+ <settings target="*">
+ <set target="localhost:9999/Slow" name="pz:name" value="ztest slow"/>
+ <set target="z3950.indexdata.com/marc" name="pz:name" value="Index Data MARC test server"/>
+ <set name="pz:cclmap:term" value="u=1016 t=l,r s=al"/>
+ <set name="pz:cclmap:ti" value="u=4 s=al"/>
+ <set name="pz:requestsyntax" value="marc21"/>
+ <set name="pz:nativesyntax" value="iso2709"/>
+ <set name="pz:xslt" value="marc21_test.xsl"/>
+ <set name="pz:piggyback" value="0"/>
+ </settings>
+ <metadata name="url" merge="unique"/>
+ <metadata name="title" brief="yes" sortkey="skiparticle" merge="longest" rank="6" mergekey="required" />
+ <metadata name="title-remainder" brief="yes" merge="longest" rank="5"/>
+ <metadata name="isbn"/>
+ <metadata name="date" brief="yes" sortkey="numeric" type="year" merge="range"
+ termlist="yes"/>
+ <metadata name="author" brief="yes" termlist="yes" merge="longest" rank="2" mergekey="optional" />
+ <metadata name="subject" brief="yes" merge="unique" termlist="yes" rank="3"/>
+ <metadata name="id"/>
+ <metadata name="lccn" merge="unique"/>
+ <metadata name="description" brief="yes" merge="longest" rank="3"/>
+ </service>
+ </server>
+
+
+</pazpar2>
+<!-- Keep this comment at the end of the file
+ Local variables:
+ mode: nxml
+ End:
+-->
--- /dev/null
+#!/bin/sh
+#
+
+# srcdir might be set by make
+srcdir=${srcdir:-"."}
+
+
+# look for yaz-ztest in PATH
+oIFS=$IFS
+IFS=:
+F=''
+for p in $PATH; do
+ if test -x $p/yaz-ztest -a -x $p/yaz-client; then
+ VERSION=`$p/yaz-client -V|awk '{print $3;}'|awk 'BEGIN { FS = "."; } { printf "%d", ($1 * 1000 + $2) * 1000 + $3;}'`
+ if test $VERSION -ge 4000000; then
+ F=$p/yaz-ztest
+ break
+ fi
+ fi
+done
+IFS=$oIFS
+
+if test -z "$F"; then
+ echo "yaz-ztest not found"
+ exit 0
+fi
+
+rm -f ztest.pid
+$F -l ztest.log -p ztest.pid -D tcp:localhost:9999
+sleep 1
+if test ! -f ztest.pid; then
+ echo "yaz-ztest could not be started"
+ exit 0
+fi
+
+# Test using test_http.cfg
+${srcdir}/run_pazpar2.sh test_filter
+E=$?
+kill `cat ztest.pid`
+rm ztest.pid
+exit $E
+
+# Local Variables:
+# mode:shell-script
+# sh-indentation: 2
+# sh-basic-offset: 4
+# End:
--- /dev/null
+http://localhost:9763/search.pz2?command=init
+http://localhost:9763/search.pz2?session=1&command=search&query=the
+http://localhost:9763/search.pz2?session=1&command=show&block=1
+http://localhost:9763/search.pz2?session=1&command=termlist&name=author,date,subject,xtargets
+http://localhost:9763/search.pz2?session=1&command=search&query=the&filter=pz%3Aid%3Dlocalhost%3A9999%2FSlow
+http://localhost:9763/search.pz2?session=1&command=show&block=1
+http://localhost:9763/search.pz2?session=1&command=termlist&name=author,date,subject,xtargets
+http://localhost:9763/search.pz2?session=1&command=search&query=the&filter=pz%3Aid%3Dlocalhost%3A9999%2FSlow
+http://localhost:9763/search.pz2?session=1&command=show
+http://localhost:9763/search.pz2?session=1&command=termlist&name=author,date,subject,xtargets
+http://localhost:9763/search.pz2?session=1&command=search&query=the&filter=pz%3Aid%3Dz3950.indexdata.com%2Fmarc
+http://localhost:9763/search.pz2?session=1&command=show&block=1
+http://localhost:9763/search.pz2?session=1&command=termlist&name=author,date,subject,xtargets
--- /dev/null
+<?xml version="1.0" encoding="UTF-8"?>
+<init><status>OK</status><session>1</session><protocol>1</protocol></init>
\ No newline at end of file
--- /dev/null
+<?xml version="1.0" encoding="UTF-8"?>
+<termlist><activeclients>0</activeclients>
+<list name="author">
+<term><name>Jack Collins</name><frequency>2</frequency></term>
+<term><name>Mairs, John W</name><frequency>1</frequency></term>
+</list>
+<list name="date">
+<term><name>1974</name><frequency>2</frequency></term>
+<term><name>1977</name><frequency>2</frequency></term>
+<term><name>1973</name><frequency>1</frequency></term>
+<term><name>1980</name><frequency>1</frequency></term>
+</list>
+<list name="subject">
+<term><name>Bible</name><frequency>1</frequency></term>
+<term><name>Bible. O.T</name><frequency>1</frequency></term>
+<term><name>Cartography</name><frequency>1</frequency></term>
+<term><name>Imaging systems in medicine</name><frequency>1</frequency></term>
+<term><name>Optical pattern recognition</name><frequency>1</frequency></term>
+<term><name>Puget Sound region (Wash.)</name><frequency>1</frequency></term>
+<term><name>Radioisotope scanning</name><frequency>1</frequency></term>
+<term><name>Scintillation cameras</name><frequency>1</frequency></term>
+<term><name>Tomography</name><frequency>1</frequency></term>
+</list>
+<list name="xtargets">
+<term>
+<id>localhost:9999/Slow</id>
+<name>ztest slow</name>
+<frequency>7</frequency>
+<state>Client_Idle</state>
+<diagnostic>0</diagnostic>
+</term>
+</list>
+</termlist>
\ No newline at end of file
--- /dev/null
+<?xml version="1.0" encoding="UTF-8"?>
+<search><status>OK</status></search>
\ No newline at end of file
--- /dev/null
+<?xml version="1.0" encoding="UTF-8"?>
+<show><status>OK</status>
+<activeclients>0</activeclients>
+<merged>12</merged>
+<total>12</total>
+<start>0</start>
+<num>12</num>
+<hit>
+
+<md-title>The late shift</md-title>
+<md-title-remainder>Letterman, Leno, and the network battle for the night</md-title-remainder>
+<md-date>1993</md-date>
+<md-author>Carter, Bill</md-author>
+<md-subject>Tonight show (Television program)</md-subject>
+<md-subject>Letterman, David</md-subject>
+<md-subject>Leno, Jay</md-subject>
+<md-subject>Talk shows</md-subject>
+<md-description>Includes index</md-description><location id="z3950.indexdata.com/marc" name="Index Data MARC test server">
+<md-title>The late shift</md-title>
+<md-title-remainder>Letterman, Leno, and the network battle for the night</md-title-remainder>
+<md-date>1993</md-date>
+<md-author>Carter, Bill</md-author>
+<md-subject>Tonight show (Television program)</md-subject>
+<md-subject>Letterman, David</md-subject>
+<md-subject>Leno, Jay</md-subject>
+<md-subject>Talk shows</md-subject>
+<md-description tag="500">Includes index</md-description></location>
+<relevance>27070</relevance>
+<recid>content: title the late shift author carter bill medium book</recid>
+</hit>
+<hit>
+
+<md-title>The Computer Bible</md-title>
+<md-date>1973-1980</md-date>
+<md-subject>Bible. O.T</md-subject>
+<md-subject>Bible</md-subject>
+<md-description>Vols. 2, 8: Missoula, Mont. : Published by Scholars Press for Biblical Research Associates</md-description><location id="z3950.indexdata.com/marc" name="Index Data MARC test server">
+<md-title>The Computer Bible</md-title>
+<md-date>1973-1980</md-date>
+<md-subject>Bible. O.T</md-subject>
+<md-subject>Bible</md-subject>
+<md-description tag="500">Hebrew and Greek; introductions in English</md-description>
+<md-description tag="500">Vols. 2, 8: Missoula, Mont. : Published by Scholars Press for Biblical Research Associates</md-description></location>
+<relevance>17402</relevance>
+<recid>content: title the computer bible author medium book</recid>
+</hit>
+<hit>
+
+<md-title>The religious teachers of Greece</md-title>
+<md-date>1972</md-date>
+<md-author>Adam, James</md-author>
+<md-subject>Greek literature</md-subject>
+<md-subject>Philosophy, Ancient</md-subject>
+<md-subject>Greece</md-subject>
+<md-description>Reprint of the 1909 ed., which was issued as the 1904-1906 Gifford lectures</md-description><location id="z3950.indexdata.com/marc" name="Index Data MARC test server">
+<md-title>The religious teachers of Greece</md-title>
+<md-date>1972</md-date>
+<md-author>Adam, James</md-author>
+<md-subject>Greek literature</md-subject>
+<md-subject>Philosophy, Ancient</md-subject>
+<md-subject>Greece</md-subject>
+<md-description tag="500">Reprint of the 1909 ed., which was issued as the 1904-1906 Gifford lectures</md-description>
+<md-description tag="504">Includes bibliographical references</md-description></location>
+<relevance>15187</relevance>
+<recid>content: title the religious teachers of greece author adam james medium book</recid>
+</hit>
+<hit>
+
+<md-title>The Puget Sound Region</md-title>
+<md-title-remainder>a portfolio of thematic computer maps</md-title-remainder>
+<md-date>1974</md-date>
+<md-author>Mairs, John W</md-author>
+<md-subject>Cartography</md-subject>
+<md-subject>Puget Sound region (Wash.)</md-subject>
+<md-description>Scale of maps ca. 1:1,000,000</md-description><location id="z3950.indexdata.com/marc" name="Index Data MARC test server">
+<md-title>The Puget Sound Region</md-title>
+<md-title-remainder>a portfolio of thematic computer maps</md-title-remainder>
+<md-date>1974</md-date>
+<md-author>Mairs, John W</md-author>
+<md-subject>Cartography</md-subject>
+<md-subject>Puget Sound region (Wash.)</md-subject>
+<md-description tag="500">Scale of maps ca. 1:1,000,000</md-description>
+<md-description tag="504">Bibliography: p. 4</md-description></location>
+<relevance>13051</relevance>
+<recid>content: title the puget sound region author mairs john w medium book</recid>
+</hit>
+<hit>
+
+<md-title>Reconstruction tomography in diagnostic radiology and nuclear medicine</md-title>
+<md-title-remainder>proceedings of the workshop</md-title-remainder>
+<md-date>1977</md-date>
+<md-subject>Tomography</md-subject>
+<md-description>Includes bibliographical references and index</md-description><location id="z3950.indexdata.com/marc" name="Index Data MARC test server">
+<md-title>Reconstruction tomography in diagnostic radiology and nuclear medicine</md-title>
+<md-title-remainder>proceedings of the workshop</md-title-remainder>
+<md-date>1977</md-date>
+<md-subject>Tomography</md-subject>
+<md-description tag="504">Includes bibliographical references and index</md-description></location>
+<relevance>10876</relevance>
+<recid>content: title reconstruction tomography in diagnostic radiology and nuclear medicine author medium book</recid>
+</hit>
+<hit>
+
+<md-title>Computer processing of dynamic images from an Anger scintillation camera</md-title>
+<md-title-remainder>the proceedings of a workshop</md-title-remainder>
+<md-date>1974</md-date>
+<md-subject>Radioisotope scanning</md-subject>
+<md-subject>Scintillation cameras</md-subject>
+<md-subject>Imaging systems in medicine</md-subject>
+<md-description>Includes bibliographical references and index</md-description><location id="z3950.indexdata.com/marc" name="Index Data MARC test server">
+<md-title>Computer processing of dynamic images from an Anger scintillation camera</md-title>
+<md-title-remainder>the proceedings of a workshop</md-title-remainder>
+<md-date>1974</md-date>
+<md-subject>Radioisotope scanning</md-subject>
+<md-subject>Scintillation cameras</md-subject>
+<md-subject>Imaging systems in medicine</md-subject>
+<md-description tag="504">Includes bibliographical references and index</md-description></location>
+<relevance>8701</relevance>
+<recid>content: title computer processing of dynamic images from an anger scintillation camera author medium book</recid>
+</hit>
+<hit>
+
+<md-title>Dealing with dropouts</md-title>
+<md-title-remainder>the urban superintendents' call to action</md-title-remainder>
+<md-date>1987</md-date>
+<md-author>Paulu, Nancy</md-author>
+<md-subject>Dropouts</md-subject>
+<md-description>Distributed to depository libraries in microfiche</md-description><location id="z3950.indexdata.com/marc" name="Index Data MARC test server">
+<md-title>Dealing with dropouts</md-title>
+<md-title-remainder>the urban superintendents' call to action</md-title-remainder>
+<md-date>1987</md-date>
+<md-author>Paulu, Nancy</md-author>
+<md-subject>Dropouts</md-subject>
+<md-description tag="533">Microfiche</md-description>
+<md-description tag="500">Distributed to depository libraries in microfiche</md-description></location>
+<relevance>7251</relevance>
+<recid>content: title dealing with dropouts author paulu nancy medium</recid>
+</hit>
+<hit>
+
+<md-title>National dissemination model for the I'M SPECIAL Program of Physical Education for the Handicapped, 1983-1986</md-title>
+<md-title-remainder>final report, I'M SPECIAL network</md-title-remainder>
+<md-date>1986</md-date>
+<md-subject>Physical education</md-subject>
+<md-subject>Handicapped children</md-subject>
+<md-description>Distributed to depository libraries in microfiche</md-description><location id="z3950.indexdata.com/marc" name="Index Data MARC test server">
+<md-title>National dissemination model for the I'M SPECIAL Program of Physical Education for the Handicapped, 1983-1986</md-title>
+<md-title-remainder>final report, I'M SPECIAL network</md-title-remainder>
+<md-date>1986</md-date>
+<md-subject>Physical education</md-subject>
+<md-subject>Handicapped children</md-subject>
+<md-description tag="533">Microfiche</md-description>
+<md-description tag="500">Distributed to depository libraries in microfiche</md-description></location>
+<relevance>6960</relevance>
+<recid>content: title national dissemination model for the i m special program of physical education for the handicapped author medium</recid>
+</hit>
+<hit>
+
+<md-title>The use of passwords for controlled access to computer resources</md-title>
+<md-date>1977</md-date>
+<md-author>Wood, Helen M</md-author>
+<md-subject>Computers</md-subject><location id="z3950.indexdata.com/marc" name="Index Data MARC test server">
+<md-title>The use of passwords for controlled access to computer resources</md-title>
+<md-date>1977</md-date>
+<md-author>Wood, Helen M</md-author>
+<md-subject>Computers</md-subject></location>
+<relevance>5220</relevance>
+<recid>content: title the use of passwords for controlled access to computer resources author wood helen m medium book</recid>
+</hit>
+<hit>
+
+<md-title>Computer science & technology</md-title>
+<md-title-remainder>proceedings of a workshop held at the National Bureau of Standards, Gaithersburg, MD, June 3-4, 1976</md-title-remainder>
+<md-date>1977</md-date>
+<md-subject>Optical pattern recognition</md-subject><location id="z3950.indexdata.com/marc" name="Index Data MARC test server">
+<md-title>Computer science & technology</md-title>
+<md-title-remainder>proceedings of a workshop held at the National Bureau of Standards, Gaithersburg, MD, June 3-4, 1976</md-title-remainder>
+<md-date>1977</md-date>
+<md-subject>Optical pattern recognition</md-subject></location>
+<relevance>3107</relevance>
+<recid>content: title computer science technology author medium book</recid>
+</hit>
+<hit>
+
+<md-title>Technology programs that work</md-title>
+<md-date>1984</md-date>
+<md-subject>United States</md-subject>
+<md-subject>Educational technology</md-subject>
+<md-subject>Federal aid to education</md-subject>
+<md-description>"This directory was developed by the Technology for the National Diffusion Network Project, Teachers College, Columbia University pursuant to contract number OE-300-83-0253, U.S. Department of Education"--T.p. verso</md-description><location id="z3950.indexdata.com/marc" name="Index Data MARC test server">
+<md-title>Technology programs that work</md-title>
+<md-date>1984</md-date>
+<md-subject>United States</md-subject>
+<md-subject>Educational technology</md-subject>
+<md-subject>Federal aid to education</md-subject>
+<md-description tag="500">"Spons agency Office of Educational Research and Improvement"--Doc. resume</md-description>
+<md-description tag="500">"This directory was developed by the Technology for the National Diffusion Network Project, Teachers College, Columbia University pursuant to contract number OE-300-83-0253, U.S. Department of Education"--T.p. verso</md-description>
+<md-description tag="500">Distributed to depository libraries in microfiche</md-description>
+<md-description tag="500">"December 1984."</md-description>
+<md-description tag="500">Includes indexes</md-description></location>
+<relevance>1740</relevance>
+<recid>content: title technology programs that work author medium book</recid>
+</hit>
+<hit>
+
+<md-title>Check this out</md-title>
+<md-title-remainder>library program models</md-title-remainder>
+<md-date>1987</md-date>
+<md-author>Seager, Andrew J</md-author>
+<md-subject>Libraries and community</md-subject>
+<md-subject>Libraries and education</md-subject>
+<md-subject>School libraries</md-subject>
+<md-subject>Instructional materials centers</md-subject>
+<md-subject>Public libraries</md-subject>
+<md-description>Distributed to depository libraries in microfiche</md-description><location id="z3950.indexdata.com/marc" name="Index Data MARC test server">
+<md-title>Check this out</md-title>
+<md-title-remainder>library program models</md-title-remainder>
+<md-date>1987</md-date>
+<md-author>Seager, Andrew J</md-author>
+<md-subject>Libraries and community</md-subject>
+<md-subject>Libraries and education</md-subject>
+<md-subject>School libraries</md-subject>
+<md-subject>Instructional materials centers</md-subject>
+<md-subject>Public libraries</md-subject>
+<md-description tag="500">Distributed to depository libraries in microfiche</md-description>
+<md-description tag="500">"July 1987."</md-description>
+<md-description tag="504">Includes bibliographical references</md-description>
+<md-description tag="500">"LP 87-403c."</md-description></location>
+<relevance>0</relevance>
+<recid>content: title check this out author seager andrew j medium book</recid>
+</hit>
+</show>
\ No newline at end of file
--- /dev/null
+<?xml version="1.0" encoding="UTF-8"?>
+<termlist><activeclients>0</activeclients>
+<list name="author">
+<term><name>Adam, James</name><frequency>1</frequency></term>
+<term><name>Carter, Bill</name><frequency>1</frequency></term>
+<term><name>Mairs, John W</name><frequency>1</frequency></term>
+<term><name>Paulu, Nancy</name><frequency>1</frequency></term>
+<term><name>Seager, Andrew J</name><frequency>1</frequency></term>
+<term><name>Wood, Helen M</name><frequency>1</frequency></term>
+</list>
+<list name="date">
+<term><name>1977</name><frequency>3</frequency></term>
+<term><name>1974</name><frequency>2</frequency></term>
+<term><name>1987</name><frequency>2</frequency></term>
+<term><name>1972</name><frequency>1</frequency></term>
+<term><name>1973</name><frequency>1</frequency></term>
+<term><name>1980</name><frequency>1</frequency></term>
+<term><name>1984</name><frequency>1</frequency></term>
+<term><name>1986</name><frequency>1</frequency></term>
+<term><name>1993</name><frequency>1</frequency></term>
+</list>
+<list name="subject">
+<term><name>Bible</name><frequency>1</frequency></term>
+<term><name>Bible. O.T</name><frequency>1</frequency></term>
+<term><name>Cartography</name><frequency>1</frequency></term>
+<term><name>Computers</name><frequency>1</frequency></term>
+<term><name>Educational technology</name><frequency>1</frequency></term>
+<term><name>Federal aid to education</name><frequency>1</frequency></term>
+<term><name>Greece</name><frequency>1</frequency></term>
+<term><name>Greek literature</name><frequency>1</frequency></term>
+<term><name>Imaging systems in medicine</name><frequency>1</frequency></term>
+<term><name>Instructional materials centers</name><frequency>1</frequency></term>
+<term><name>Leno, Jay</name><frequency>1</frequency></term>
+<term><name>Letterman, David</name><frequency>1</frequency></term>
+<term><name>Libraries and community</name><frequency>1</frequency></term>
+<term><name>Libraries and education</name><frequency>1</frequency></term>
+<term><name>Optical pattern recognition</name><frequency>1</frequency></term>
+</list>
+<list name="xtargets">
+<term>
+<id>z3950.indexdata.com/marc</id>
+<name>Index Data MARC test server</name>
+<frequency>12</frequency>
+<state>Client_Idle</state>
+<diagnostic>0</diagnostic>
+</term>
+</list>
+</termlist>
\ No newline at end of file
--- /dev/null
+<?xml version="1.0" encoding="UTF-8"?>
+<search><status>OK</status></search>
\ No newline at end of file
--- /dev/null
+<?xml version="1.0" encoding="UTF-8"?>
+<show><status>OK</status>
+<activeclients>1</activeclients>
+<merged>12</merged>
+<total>12</total>
+<start>0</start>
+<num>12</num>
+<hit>
+
+<md-title>The late shift</md-title>
+<md-title-remainder>Letterman, Leno, and the network battle for the night</md-title-remainder>
+<md-date>1993</md-date>
+<md-author>Carter, Bill</md-author>
+<md-subject>Tonight show (Television program)</md-subject>
+<md-subject>Letterman, David</md-subject>
+<md-subject>Leno, Jay</md-subject>
+<md-subject>Talk shows</md-subject>
+<md-description>Includes index</md-description><location id="z3950.indexdata.com/marc" name="Index Data MARC test server">
+<md-title>The late shift</md-title>
+<md-title-remainder>Letterman, Leno, and the network battle for the night</md-title-remainder>
+<md-date>1993</md-date>
+<md-author>Carter, Bill</md-author>
+<md-subject>Tonight show (Television program)</md-subject>
+<md-subject>Letterman, David</md-subject>
+<md-subject>Leno, Jay</md-subject>
+<md-subject>Talk shows</md-subject>
+<md-description tag="500">Includes index</md-description></location>
+<relevance>27070</relevance>
+<recid>content: title the late shift author carter bill medium book</recid>
+</hit>
+<hit>
+
+<md-title>The Computer Bible</md-title>
+<md-date>1973-1980</md-date>
+<md-subject>Bible. O.T</md-subject>
+<md-subject>Bible</md-subject>
+<md-description>Vols. 2, 8: Missoula, Mont. : Published by Scholars Press for Biblical Research Associates</md-description><location id="z3950.indexdata.com/marc" name="Index Data MARC test server">
+<md-title>The Computer Bible</md-title>
+<md-date>1973-1980</md-date>
+<md-subject>Bible. O.T</md-subject>
+<md-subject>Bible</md-subject>
+<md-description tag="500">Hebrew and Greek; introductions in English</md-description>
+<md-description tag="500">Vols. 2, 8: Missoula, Mont. : Published by Scholars Press for Biblical Research Associates</md-description></location>
+<relevance>17402</relevance>
+<recid>content: title the computer bible author medium book</recid>
+</hit>
+<hit>
+
+<md-title>The religious teachers of Greece</md-title>
+<md-date>1972</md-date>
+<md-author>Adam, James</md-author>
+<md-subject>Greek literature</md-subject>
+<md-subject>Philosophy, Ancient</md-subject>
+<md-subject>Greece</md-subject>
+<md-description>Reprint of the 1909 ed., which was issued as the 1904-1906 Gifford lectures</md-description><location id="z3950.indexdata.com/marc" name="Index Data MARC test server">
+<md-title>The religious teachers of Greece</md-title>
+<md-date>1972</md-date>
+<md-author>Adam, James</md-author>
+<md-subject>Greek literature</md-subject>
+<md-subject>Philosophy, Ancient</md-subject>
+<md-subject>Greece</md-subject>
+<md-description tag="500">Reprint of the 1909 ed., which was issued as the 1904-1906 Gifford lectures</md-description>
+<md-description tag="504">Includes bibliographical references</md-description></location>
+<relevance>15187</relevance>
+<recid>content: title the religious teachers of greece author adam james medium book</recid>
+</hit>
+<hit>
+
+<md-title>The Puget Sound Region</md-title>
+<md-title-remainder>a portfolio of thematic computer maps</md-title-remainder>
+<md-date>1974</md-date>
+<md-author>Mairs, John W</md-author>
+<md-subject>Cartography</md-subject>
+<md-subject>Puget Sound region (Wash.)</md-subject>
+<md-description>Scale of maps ca. 1:1,000,000</md-description><location id="z3950.indexdata.com/marc" name="Index Data MARC test server">
+<md-title>The Puget Sound Region</md-title>
+<md-title-remainder>a portfolio of thematic computer maps</md-title-remainder>
+<md-date>1974</md-date>
+<md-author>Mairs, John W</md-author>
+<md-subject>Cartography</md-subject>
+<md-subject>Puget Sound region (Wash.)</md-subject>
+<md-description tag="500">Scale of maps ca. 1:1,000,000</md-description>
+<md-description tag="504">Bibliography: p. 4</md-description></location>
+<relevance>13051</relevance>
+<recid>content: title the puget sound region author mairs john w medium book</recid>
+</hit>
+<hit>
+
+<md-title>Reconstruction tomography in diagnostic radiology and nuclear medicine</md-title>
+<md-title-remainder>proceedings of the workshop</md-title-remainder>
+<md-date>1977</md-date>
+<md-subject>Tomography</md-subject>
+<md-description>Includes bibliographical references and index</md-description><location id="z3950.indexdata.com/marc" name="Index Data MARC test server">
+<md-title>Reconstruction tomography in diagnostic radiology and nuclear medicine</md-title>
+<md-title-remainder>proceedings of the workshop</md-title-remainder>
+<md-date>1977</md-date>
+<md-subject>Tomography</md-subject>
+<md-description tag="504">Includes bibliographical references and index</md-description></location>
+<relevance>10876</relevance>
+<recid>content: title reconstruction tomography in diagnostic radiology and nuclear medicine author medium book</recid>
+</hit>
+<hit>
+
+<md-title>Computer processing of dynamic images from an Anger scintillation camera</md-title>
+<md-title-remainder>the proceedings of a workshop</md-title-remainder>
+<md-date>1974</md-date>
+<md-subject>Radioisotope scanning</md-subject>
+<md-subject>Scintillation cameras</md-subject>
+<md-subject>Imaging systems in medicine</md-subject>
+<md-description>Includes bibliographical references and index</md-description><location id="z3950.indexdata.com/marc" name="Index Data MARC test server">
+<md-title>Computer processing of dynamic images from an Anger scintillation camera</md-title>
+<md-title-remainder>the proceedings of a workshop</md-title-remainder>
+<md-date>1974</md-date>
+<md-subject>Radioisotope scanning</md-subject>
+<md-subject>Scintillation cameras</md-subject>
+<md-subject>Imaging systems in medicine</md-subject>
+<md-description tag="504">Includes bibliographical references and index</md-description></location>
+<relevance>8701</relevance>
+<recid>content: title computer processing of dynamic images from an anger scintillation camera author medium book</recid>
+</hit>
+<hit>
+
+<md-title>Dealing with dropouts</md-title>
+<md-title-remainder>the urban superintendents' call to action</md-title-remainder>
+<md-date>1987</md-date>
+<md-author>Paulu, Nancy</md-author>
+<md-subject>Dropouts</md-subject>
+<md-description>Distributed to depository libraries in microfiche</md-description><location id="z3950.indexdata.com/marc" name="Index Data MARC test server">
+<md-title>Dealing with dropouts</md-title>
+<md-title-remainder>the urban superintendents' call to action</md-title-remainder>
+<md-date>1987</md-date>
+<md-author>Paulu, Nancy</md-author>
+<md-subject>Dropouts</md-subject>
+<md-description tag="533">Microfiche</md-description>
+<md-description tag="500">Distributed to depository libraries in microfiche</md-description></location>
+<relevance>7251</relevance>
+<recid>content: title dealing with dropouts author paulu nancy medium</recid>
+</hit>
+<hit>
+
+<md-title>National dissemination model for the I'M SPECIAL Program of Physical Education for the Handicapped, 1983-1986</md-title>
+<md-title-remainder>final report, I'M SPECIAL network</md-title-remainder>
+<md-date>1986</md-date>
+<md-subject>Physical education</md-subject>
+<md-subject>Handicapped children</md-subject>
+<md-description>Distributed to depository libraries in microfiche</md-description><location id="z3950.indexdata.com/marc" name="Index Data MARC test server">
+<md-title>National dissemination model for the I'M SPECIAL Program of Physical Education for the Handicapped, 1983-1986</md-title>
+<md-title-remainder>final report, I'M SPECIAL network</md-title-remainder>
+<md-date>1986</md-date>
+<md-subject>Physical education</md-subject>
+<md-subject>Handicapped children</md-subject>
+<md-description tag="533">Microfiche</md-description>
+<md-description tag="500">Distributed to depository libraries in microfiche</md-description></location>
+<relevance>6960</relevance>
+<recid>content: title national dissemination model for the i m special program of physical education for the handicapped author medium</recid>
+</hit>
+<hit>
+
+<md-title>The use of passwords for controlled access to computer resources</md-title>
+<md-date>1977</md-date>
+<md-author>Wood, Helen M</md-author>
+<md-subject>Computers</md-subject><location id="z3950.indexdata.com/marc" name="Index Data MARC test server">
+<md-title>The use of passwords for controlled access to computer resources</md-title>
+<md-date>1977</md-date>
+<md-author>Wood, Helen M</md-author>
+<md-subject>Computers</md-subject></location>
+<relevance>5220</relevance>
+<recid>content: title the use of passwords for controlled access to computer resources author wood helen m medium book</recid>
+</hit>
+<hit>
+
+<md-title>Computer science & technology</md-title>
+<md-title-remainder>proceedings of a workshop held at the National Bureau of Standards, Gaithersburg, MD, June 3-4, 1976</md-title-remainder>
+<md-date>1977</md-date>
+<md-subject>Optical pattern recognition</md-subject><location id="z3950.indexdata.com/marc" name="Index Data MARC test server">
+<md-title>Computer science & technology</md-title>
+<md-title-remainder>proceedings of a workshop held at the National Bureau of Standards, Gaithersburg, MD, June 3-4, 1976</md-title-remainder>
+<md-date>1977</md-date>
+<md-subject>Optical pattern recognition</md-subject></location>
+<relevance>3107</relevance>
+<recid>content: title computer science technology author medium book</recid>
+</hit>
+<hit>
+
+<md-title>Technology programs that work</md-title>
+<md-date>1984</md-date>
+<md-subject>United States</md-subject>
+<md-subject>Educational technology</md-subject>
+<md-subject>Federal aid to education</md-subject>
+<md-description>"This directory was developed by the Technology for the National Diffusion Network Project, Teachers College, Columbia University pursuant to contract number OE-300-83-0253, U.S. Department of Education"--T.p. verso</md-description><location id="z3950.indexdata.com/marc" name="Index Data MARC test server">
+<md-title>Technology programs that work</md-title>
+<md-date>1984</md-date>
+<md-subject>United States</md-subject>
+<md-subject>Educational technology</md-subject>
+<md-subject>Federal aid to education</md-subject>
+<md-description tag="500">"Spons agency Office of Educational Research and Improvement"--Doc. resume</md-description>
+<md-description tag="500">"This directory was developed by the Technology for the National Diffusion Network Project, Teachers College, Columbia University pursuant to contract number OE-300-83-0253, U.S. Department of Education"--T.p. verso</md-description>
+<md-description tag="500">Distributed to depository libraries in microfiche</md-description>
+<md-description tag="500">"December 1984."</md-description>
+<md-description tag="500">Includes indexes</md-description></location>
+<relevance>1740</relevance>
+<recid>content: title technology programs that work author medium book</recid>
+</hit>
+<hit>
+
+<md-title>Check this out</md-title>
+<md-title-remainder>library program models</md-title-remainder>
+<md-date>1987</md-date>
+<md-author>Seager, Andrew J</md-author>
+<md-subject>Libraries and community</md-subject>
+<md-subject>Libraries and education</md-subject>
+<md-subject>School libraries</md-subject>
+<md-subject>Instructional materials centers</md-subject>
+<md-subject>Public libraries</md-subject>
+<md-description>Distributed to depository libraries in microfiche</md-description><location id="z3950.indexdata.com/marc" name="Index Data MARC test server">
+<md-title>Check this out</md-title>
+<md-title-remainder>library program models</md-title-remainder>
+<md-date>1987</md-date>
+<md-author>Seager, Andrew J</md-author>
+<md-subject>Libraries and community</md-subject>
+<md-subject>Libraries and education</md-subject>
+<md-subject>School libraries</md-subject>
+<md-subject>Instructional materials centers</md-subject>
+<md-subject>Public libraries</md-subject>
+<md-description tag="500">Distributed to depository libraries in microfiche</md-description>
+<md-description tag="500">"July 1987."</md-description>
+<md-description tag="504">Includes bibliographical references</md-description>
+<md-description tag="500">"LP 87-403c."</md-description></location>
+<relevance>0</relevance>
+<recid>content: title check this out author seager andrew j medium book</recid>
+</hit>
+</show>
\ No newline at end of file
--- /dev/null
+<?xml version="1.0" encoding="UTF-8"?>
+<termlist><activeclients>1</activeclients>
+<list name="author">
+<term><name>Adam, James</name><frequency>1</frequency></term>
+<term><name>Carter, Bill</name><frequency>1</frequency></term>
+<term><name>Mairs, John W</name><frequency>1</frequency></term>
+<term><name>Paulu, Nancy</name><frequency>1</frequency></term>
+<term><name>Seager, Andrew J</name><frequency>1</frequency></term>
+<term><name>Wood, Helen M</name><frequency>1</frequency></term>
+</list>
+<list name="date">
+<term><name>1977</name><frequency>3</frequency></term>
+<term><name>1974</name><frequency>2</frequency></term>
+<term><name>1987</name><frequency>2</frequency></term>
+<term><name>1972</name><frequency>1</frequency></term>
+<term><name>1973</name><frequency>1</frequency></term>
+<term><name>1980</name><frequency>1</frequency></term>
+<term><name>1984</name><frequency>1</frequency></term>
+<term><name>1986</name><frequency>1</frequency></term>
+<term><name>1993</name><frequency>1</frequency></term>
+</list>
+<list name="subject">
+<term><name>Bible</name><frequency>1</frequency></term>
+<term><name>Bible. O.T</name><frequency>1</frequency></term>
+<term><name>Cartography</name><frequency>1</frequency></term>
+<term><name>Computers</name><frequency>1</frequency></term>
+<term><name>Educational technology</name><frequency>1</frequency></term>
+<term><name>Federal aid to education</name><frequency>1</frequency></term>
+<term><name>Greece</name><frequency>1</frequency></term>
+<term><name>Greek literature</name><frequency>1</frequency></term>
+<term><name>Imaging systems in medicine</name><frequency>1</frequency></term>
+<term><name>Instructional materials centers</name><frequency>1</frequency></term>
+<term><name>Leno, Jay</name><frequency>1</frequency></term>
+<term><name>Letterman, David</name><frequency>1</frequency></term>
+<term><name>Libraries and community</name><frequency>1</frequency></term>
+<term><name>Libraries and education</name><frequency>1</frequency></term>
+<term><name>Optical pattern recognition</name><frequency>1</frequency></term>
+</list>
+<list name="xtargets">
+<term>
+<id>z3950.indexdata.com/marc</id>
+<name>Index Data MARC test server</name>
+<frequency>12</frequency>
+<state>Client_Idle</state>
+<diagnostic>0</diagnostic>
+</term>
+</list>
+</termlist>
\ No newline at end of file
--- /dev/null
+<?xml version="1.0" encoding="UTF-8"?>
+<search><status>OK</status></search>
\ No newline at end of file
--- /dev/null
+<?xml version="1.0" encoding="UTF-8"?>
+<show><status>OK</status>
+<activeclients>0</activeclients>
+<merged>6</merged>
+<total>7</total>
+<start>0</start>
+<num>6</num>
+<hit>
+
+<md-title>The Computer Bible</md-title>
+<md-date>1973-1980</md-date>
+<md-subject>Bible. O.T</md-subject>
+<md-subject>Bible</md-subject>
+<md-description>Vols. 2, 8: Missoula, Mont. : Published by Scholars Press for Biblical Research Associates</md-description><location id="localhost:9999/Slow" name="ztest slow">
+<md-title>The Computer Bible</md-title>
+<md-date>1973-1980</md-date>
+<md-subject>Bible. O.T</md-subject>
+<md-subject>Bible</md-subject>
+<md-description tag="500">Hebrew and Greek; introductions in English</md-description>
+<md-description tag="500">Vols. 2, 8: Missoula, Mont. : Published by Scholars Press for Biblical Research Associates</md-description></location>
+<relevance>67294</relevance>
+<recid>content: title the computer bible author medium book</recid>
+</hit>
+<hit>
+
+<md-title>The Puget Sound Region</md-title>
+<md-title-remainder>a portfolio of thematic computer maps</md-title-remainder>
+<md-date>1974</md-date>
+<md-author>Mairs, John W</md-author>
+<md-subject>Cartography</md-subject>
+<md-subject>Puget Sound region (Wash.)</md-subject>
+<md-description>Scale of maps ca. 1:1,000,000</md-description><location id="localhost:9999/Slow" name="ztest slow">
+<md-title>The Puget Sound Region</md-title>
+<md-title-remainder>a portfolio of thematic computer maps</md-title-remainder>
+<md-date>1974</md-date>
+<md-author>Mairs, John W</md-author>
+<md-subject>Cartography</md-subject>
+<md-subject>Puget Sound region (Wash.)</md-subject>
+<md-description tag="500">Scale of maps ca. 1:1,000,000</md-description>
+<md-description tag="504">Bibliography: p. 4</md-description></location>
+<relevance>50470</relevance>
+<recid>content: title the puget sound region author mairs john w medium book</recid>
+</hit>
+<hit>
+
+<md-title>Reconstruction tomography in diagnostic radiology and nuclear medicine</md-title>
+<md-title-remainder>proceedings of the workshop</md-title-remainder>
+<md-date>1977</md-date>
+<md-subject>Tomography</md-subject>
+<md-description>Includes bibliographical references and index</md-description><location id="localhost:9999/Slow" name="ztest slow">
+<md-title>Reconstruction tomography in diagnostic radiology and nuclear medicine</md-title>
+<md-title-remainder>proceedings of the workshop</md-title-remainder>
+<md-date>1977</md-date>
+<md-subject>Tomography</md-subject>
+<md-description tag="504">Includes bibliographical references and index</md-description></location>
+<relevance>42059</relevance>
+<recid>content: title reconstruction tomography in diagnostic radiology and nuclear medicine author medium book</recid>
+</hit>
+<hit>
+
+<md-title>Computer processing of dynamic images from an Anger scintillation camera</md-title>
+<md-title-remainder>the proceedings of a workshop</md-title-remainder>
+<md-date>1974</md-date>
+<md-subject>Radioisotope scanning</md-subject>
+<md-subject>Scintillation cameras</md-subject>
+<md-subject>Imaging systems in medicine</md-subject>
+<md-description>Includes bibliographical references and index</md-description><location id="localhost:9999/Slow" name="ztest slow">
+<md-title>Computer processing of dynamic images from an Anger scintillation camera</md-title>
+<md-title-remainder>the proceedings of a workshop</md-title-remainder>
+<md-date>1974</md-date>
+<md-subject>Radioisotope scanning</md-subject>
+<md-subject>Scintillation cameras</md-subject>
+<md-subject>Imaging systems in medicine</md-subject>
+<md-description tag="504">Includes bibliographical references and index</md-description></location>
+<relevance>33647</relevance>
+<recid>content: title computer processing of dynamic images from an anger scintillation camera author medium book</recid>
+</hit>
+<hit>
+
+<md-title>Computer science & technology</md-title>
+<md-title-remainder>proceedings of a workshop held at the National Bureau of Standards, Gaithersburg, MD, June 3-4, 1976</md-title-remainder>
+<md-date>1977</md-date>
+<md-subject>Optical pattern recognition</md-subject><location id="localhost:9999/Slow" name="ztest slow">
+<md-title>Computer science & technology</md-title>
+<md-title-remainder>proceedings of a workshop held at the National Bureau of Standards, Gaithersburg, MD, June 3-4, 1976</md-title-remainder>
+<md-date>1977</md-date>
+<md-subject>Optical pattern recognition</md-subject></location>
+<relevance>12016</relevance>
+<recid>content: title computer science technology author medium book</recid>
+</hit>
+<hit>
+
+<md-title>How to program a computer</md-title>
+<md-author>Jack Collins</md-author><location id="localhost:9999/Slow" name="ztest slow">
+<md-title>How to program a computer</md-title>
+<md-author>Jack Collins</md-author></location>
+<location id="localhost:9999/Slow" name="ztest slow">
+<md-title>How to program a computer</md-title>
+<md-author>Jack Collins</md-author></location>
+<count>2</count>
+<relevance>0</relevance>
+<recid>content: title how to program a computer author jack collins medium book</recid>
+</hit>
+</show>
\ No newline at end of file
--- /dev/null
+<?xml version="1.0" encoding="UTF-8"?>
+<termlist><activeclients>0</activeclients>
+<list name="author">
+<term><name>Jack Collins</name><frequency>2</frequency></term>
+<term><name>Mairs, John W</name><frequency>1</frequency></term>
+</list>
+<list name="date">
+<term><name>1974</name><frequency>2</frequency></term>
+<term><name>1977</name><frequency>2</frequency></term>
+<term><name>1973</name><frequency>1</frequency></term>
+<term><name>1980</name><frequency>1</frequency></term>
+</list>
+<list name="subject">
+<term><name>Bible</name><frequency>1</frequency></term>
+<term><name>Bible. O.T</name><frequency>1</frequency></term>
+<term><name>Cartography</name><frequency>1</frequency></term>
+<term><name>Imaging systems in medicine</name><frequency>1</frequency></term>
+<term><name>Optical pattern recognition</name><frequency>1</frequency></term>
+<term><name>Puget Sound region (Wash.)</name><frequency>1</frequency></term>
+<term><name>Radioisotope scanning</name><frequency>1</frequency></term>
+<term><name>Scintillation cameras</name><frequency>1</frequency></term>
+<term><name>Tomography</name><frequency>1</frequency></term>
+</list>
+<list name="xtargets">
+<term>
+<id>localhost:9999/Slow</id>
+<name>ztest slow</name>
+<frequency>7</frequency>
+<state>Client_Idle</state>
+<diagnostic>0</diagnostic>
+</term>
+</list>
+</termlist>
\ No newline at end of file
--- /dev/null
+<?xml version="1.0" encoding="UTF-8"?>
+<search><status>OK</status></search>
\ No newline at end of file
--- /dev/null
+<?xml version="1.0" encoding="UTF-8"?>
+<show><status>OK</status>
+<activeclients>0</activeclients>
+<merged>6</merged>
+<total>7</total>
+<start>0</start>
+<num>6</num>
+<hit>
+
+<md-title>The Computer Bible</md-title>
+<md-date>1973-1980</md-date>
+<md-subject>Bible. O.T</md-subject>
+<md-subject>Bible</md-subject>
+<md-description>Vols. 2, 8: Missoula, Mont. : Published by Scholars Press for Biblical Research Associates</md-description><location id="localhost:9999/Slow" name="ztest slow">
+<md-title>The Computer Bible</md-title>
+<md-date>1973-1980</md-date>
+<md-subject>Bible. O.T</md-subject>
+<md-subject>Bible</md-subject>
+<md-description tag="500">Hebrew and Greek; introductions in English</md-description>
+<md-description tag="500">Vols. 2, 8: Missoula, Mont. : Published by Scholars Press for Biblical Research Associates</md-description></location>
+<relevance>67294</relevance>
+<recid>content: title the computer bible author medium book</recid>
+</hit>
+<hit>
+
+<md-title>The Puget Sound Region</md-title>
+<md-title-remainder>a portfolio of thematic computer maps</md-title-remainder>
+<md-date>1974</md-date>
+<md-author>Mairs, John W</md-author>
+<md-subject>Cartography</md-subject>
+<md-subject>Puget Sound region (Wash.)</md-subject>
+<md-description>Scale of maps ca. 1:1,000,000</md-description><location id="localhost:9999/Slow" name="ztest slow">
+<md-title>The Puget Sound Region</md-title>
+<md-title-remainder>a portfolio of thematic computer maps</md-title-remainder>
+<md-date>1974</md-date>
+<md-author>Mairs, John W</md-author>
+<md-subject>Cartography</md-subject>
+<md-subject>Puget Sound region (Wash.)</md-subject>
+<md-description tag="500">Scale of maps ca. 1:1,000,000</md-description>
+<md-description tag="504">Bibliography: p. 4</md-description></location>
+<relevance>50470</relevance>
+<recid>content: title the puget sound region author mairs john w medium book</recid>
+</hit>
+<hit>
+
+<md-title>Reconstruction tomography in diagnostic radiology and nuclear medicine</md-title>
+<md-title-remainder>proceedings of the workshop</md-title-remainder>
+<md-date>1977</md-date>
+<md-subject>Tomography</md-subject>
+<md-description>Includes bibliographical references and index</md-description><location id="localhost:9999/Slow" name="ztest slow">
+<md-title>Reconstruction tomography in diagnostic radiology and nuclear medicine</md-title>
+<md-title-remainder>proceedings of the workshop</md-title-remainder>
+<md-date>1977</md-date>
+<md-subject>Tomography</md-subject>
+<md-description tag="504">Includes bibliographical references and index</md-description></location>
+<relevance>42059</relevance>
+<recid>content: title reconstruction tomography in diagnostic radiology and nuclear medicine author medium book</recid>
+</hit>
+<hit>
+
+<md-title>Computer processing of dynamic images from an Anger scintillation camera</md-title>
+<md-title-remainder>the proceedings of a workshop</md-title-remainder>
+<md-date>1974</md-date>
+<md-subject>Radioisotope scanning</md-subject>
+<md-subject>Scintillation cameras</md-subject>
+<md-subject>Imaging systems in medicine</md-subject>
+<md-description>Includes bibliographical references and index</md-description><location id="localhost:9999/Slow" name="ztest slow">
+<md-title>Computer processing of dynamic images from an Anger scintillation camera</md-title>
+<md-title-remainder>the proceedings of a workshop</md-title-remainder>
+<md-date>1974</md-date>
+<md-subject>Radioisotope scanning</md-subject>
+<md-subject>Scintillation cameras</md-subject>
+<md-subject>Imaging systems in medicine</md-subject>
+<md-description tag="504">Includes bibliographical references and index</md-description></location>
+<relevance>33647</relevance>
+<recid>content: title computer processing of dynamic images from an anger scintillation camera author medium book</recid>
+</hit>
+<hit>
+
+<md-title>Computer science & technology</md-title>
+<md-title-remainder>proceedings of a workshop held at the National Bureau of Standards, Gaithersburg, MD, June 3-4, 1976</md-title-remainder>
+<md-date>1977</md-date>
+<md-subject>Optical pattern recognition</md-subject><location id="localhost:9999/Slow" name="ztest slow">
+<md-title>Computer science & technology</md-title>
+<md-title-remainder>proceedings of a workshop held at the National Bureau of Standards, Gaithersburg, MD, June 3-4, 1976</md-title-remainder>
+<md-date>1977</md-date>
+<md-subject>Optical pattern recognition</md-subject></location>
+<relevance>12016</relevance>
+<recid>content: title computer science technology author medium book</recid>
+</hit>
+<hit>
+
+<md-title>How to program a computer</md-title>
+<md-author>Jack Collins</md-author><location id="localhost:9999/Slow" name="ztest slow">
+<md-title>How to program a computer</md-title>
+<md-author>Jack Collins</md-author></location>
+<location id="localhost:9999/Slow" name="ztest slow">
+<md-title>How to program a computer</md-title>
+<md-author>Jack Collins</md-author></location>
+<count>2</count>
+<relevance>0</relevance>
+<recid>content: title how to program a computer author jack collins medium book</recid>
+</hit>
+</show>
\ No newline at end of file